SVNKit Home

## org.tmatesoft.svn.core.wc.admin
Class SVNAdminEvent

    java.lang.Object
      org.tmatesoft.svn.core.wc.admin.SVNAdminEvent

public class SVNAdminEvent
extends Object

The SVNAdminEvent is a type of an event used to notify callers' handlers in several methods of SVNAdminClient.

Since:
  1.1.1
Version:
  1.1.1
Author:
  TMate Software Ltd.

Constructor Summary
`SVNAdminEvent(long revision, long originalRevision, SVNAdminEventAction action, String message)` Creates a new event.
`SVNAdminEvent(long revision, SVNAdminEventAction action, String message)` Creates a new event.
`SVNAdminEvent(String txnName, File txnDir, SVNAdminEventAction action)` Creates a new event.
`SVNAdminEvent(SVNAdminEventAction action, String path, String message)` Creates a new event to notify about a next path being changed withing the revision being currently loaded.
`SVNAdminEvent(SVNAdminEventAction action, SVNLock lock, SVNErrorMessage error, String message)`

Method Summary
`SVNAdminEventAction` `getAction()` Returns the type of an action this event is fired for.
`SVNErrorMessage` `getError()`
`SVNLock` `getLock()`
`String` `getMessage()`
`long` `getOriginalRevision()` Returns the original revision from which a `new one` is loaded.
`String` `getPath()` Returns an absolute repository path being changed within the current revision load iteration.
`long` `getRevision()` Returns a revision.
`File` `getTxnDir()` Returns a transaction directory Relevant for both `SVNAdminClient.doListTransactions()` and `SVNAdminClient.doRemoveTransactions()` operations.
`String` `getTxnName()` Returns a transaction name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNAdminEvent

    public SVNAdminEvent(long revision,
                         long originalRevision,
                         SVNAdminEventAction action,
                         String message)

  Creates a new event.

Parameters:
  `revision` - a new committed revision
  `originalRevision` - the original revision
  `action` - an event action

### SVNAdminEvent

    public SVNAdminEvent(SVNAdminEventAction action,
                         String path,
                         String message)

  Creates a new event to notify about a next path being changed withing the revision being currently loaded.

Parameters:
  `action` - a path change action
  `path` - repository path being changed
  `message` -

### SVNAdminEvent

    public SVNAdminEvent(long revision,
                         SVNAdminEventAction action,
                         String message)

  Creates a new event.

Parameters:
  `revision` - a revision number
  `action` - an event action

### SVNAdminEvent

    public SVNAdminEvent(String txnName,
                         File txnDir,
                         SVNAdminEventAction action)

  Creates a new event.

Parameters:
  `txnName` - a transaction name
  `txnDir` - a transaction directory location
  `action` - an event action

### SVNAdminEvent

    public SVNAdminEvent(SVNAdminEventAction action,
                         SVNLock lock,
                         SVNErrorMessage error,
                         String message)

Method Detail

### getAction

    public SVNAdminEventAction getAction()

  Returns the type of an action this event is fired for.

  Returns:
    event action

### getMessage

    public String getMessage()

### getOriginalRevision

    public long getOriginalRevision()

  Returns the original revision from which a `new one` is loaded.

  Returns:
    an original revision number met in a dumpfile

### getRevision

    public long getRevision()

  Returns a revision.

  For `dump` operations it means a next dumped revision. For `load` operations it means a new committed revision.

  Returns:
    a revision number

### getTxnDir

    public File getTxnDir()

  Returns a transaction directory

  Relevant for both `SVNAdminClient.doListTransactions()` and `SVNAdminClient.doRemoveTransactions()` operations.

  Returns:
    txn directory

### getTxnName

    public String getTxnName()

  Returns a transaction name.

  Relevant for both `SVNAdminClient.doListTransactions()` and `SVNAdminClient.doRemoveTransactions()` operations.

  Returns:
    txn name

### getPath

    public String getPath()

  Returns an absolute repository path being changed within the current revision load iteration.

  Returns:
    repository path

### getLock

    public SVNLock getLock()

### getError

    public SVNErrorMessage getError()

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.